Loading...
Searching...
No Matches
OgreTerrainMaterialGenerator.h File Reference
`#include "OgreTerrainPrerequisites.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreSharedPtr.h"`

## Classes

struct | Ogre::TerrainLayerSampler
| Description of a sampler that will be used with each layer. More...
class | Ogre::TerrainMaterialGenerator
| Class that provides functionality to generate materials for use with a terrain. More...
struct | Ogre::TerrainMaterialGenerator::Profile

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< TerrainLayerSampler > | Ogre::TerrainLayerDeclaration
| The definition of the information each layer will contain in this terrain.
typedef SharedPtr< TerrainMaterialGenerator > | Ogre::TerrainMaterialGeneratorPtr